[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] Proposed: replace radvd with dnsmasq for Router Advertizing



On 11/02/2012 08:25 AM, Gene Czarcinski wrote:
> I have been doing some testing and dnsmasq is capable of handling the
> service currently provided by radvd.  To implement this in dnsmasq
> requires the following:
>
> if an IPv6 dhcp-range is specified, then add:
>       enable-ra
>
> if no IPv6 dhcp-range is specified, then add:
>       dhsp-range=<IPv6-subnet>,ra-only
>
> Tested.  The second one will work with basic dnsmasq-2.6.3.  The first
> one and dhcp-range itself only works with dnsmasq-2.64 (when released)
> or dnsmasq-2.63+patches.

Is this the proper support matrix?


dnsmasq       RA       dhcpv6
< 2.63        no       no
= 2.63        yes      no
> 2.63        yes      yes

Meaning that radvd isn't needed for 2.63 and beyond, but you can't do
dhcp6 until 2.64, right?

In that case, if someone asks for dhcp6, you can assume that they have a
new enough dnsmasq. (alternately, if we have a runtime check of the
dnsmasq version, we could even log a proper error when we encountered
<dhcp> in an ipv6 element, rather than just relying on whatever message
dnsmasq outputs in that case).

> Since dnsmasq-2.48 does not support IPv6 dhcp but does handle IPv6 for
> dns and CentOS 6 does include radvd, I also propose that a
> libvirtd.conf option be added.  If the option is not present or set
> off, then radvd is used.  If the option is set on, then dnsmasq is used.

See my other mail with the counter-proposal of doing a runtime check of
the dnsmasq version.

>
> At some point in the future, it can be decided whether to keep using
> radvd or not.

We definitely have to keep using it for now, as not everyone has a
dnsmasq new enough to do route advertisement.



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]